<script setup lang="ts">
import Panel from '../common/Panel.vue';
import {defineEmits, defineModel,defineProps} from 'vue'

const {status}=defineProps(['status'])
const emit = defineEmits(['save','deleteItem','openCheckOut',"openSettlement"]);
const save = () => {
  emit('save');
};
const deleteItem = () => {
  emit('deleteItem');
};
const totalAmount = defineModel<any>()
const openCheckOut= () => {
  emit('openCheckOut');
};
const openSettlement =()=>{
  emit('openSettlement')
}
</script>

<template>
  <Panel :showTools="false" :showHeader="false">
    <div class="footer">
      <div>总金额：<span class="text icon">￥</span><span class="text">{{ totalAmount || '0' }}</span></div>
      <div class="btn-group" v-if="status">
        <span class="default-btn" @click="openCheckOut">追溯码</span>
        <span class="default-btn" @click="openSettlement" style="margin-left: 24px">收费</span>
      </div>
    </div>
  </Panel>
</template>
<style scoped lang="scss">
.footer {
  height: 86px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: 400;
  font-size: 22px;
  color: #333333;
  font-style: normal;
  padding:0 24px 0 24px;
  .icon{
    font-size: 16px;
  }
  .text {
    color: #FF282E
  }
}
.btn-group{
  span{
    display: inline-block;
    width: 119px;
  }
}
</style>